package com.bonus.material.lease.mapper;

import com.bonus.material.lease.domain.LeaseRepair;
import com.bonus.material.lease.domain.LeaseRepairRecord;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/2 15:35
 */
@Mapper
public interface LeaseRepairRecordMapper {

    /**
     * 查询列表
     * @param dto
     * @return
     */
    List<LeaseRepair> list(LeaseRepair dto);

    /**
     * 查询列表
     * @param orderId
     * @return
     */
    int selectLeaseContent(String orderId);

    /**
     * 新增
     * @param leaseRepairRecord
     * @return
     */
    int insert(LeaseRepairRecord leaseRepairRecord);

    int getCountByOrderId(String orderId);

    int deleteLeaseRepairRecord(LeaseRepairRecord leaseRepairRecord);

    /**
     * 查询列表
     * @param dto
     * @return
     */
    List<LeaseRepairRecord> getLeaseRepairRecordList(LeaseRepair dto);

    /**
     * 租赁费用改价
     * @param leaseRepairRecord
     * @return
     */
    int updateRentPrice(LeaseRepairRecord leaseRepairRecord);

    /**
     * 维修费用改价
     * @param repairRecord
     * @return
     */
    int updateChangePrice(LeaseRepairRecord repairRecord);

    /**
     * 修改
     * @param leaseRepairRecord
     * @return
     */
    int update(LeaseRepairRecord leaseRepairRecord);
}
